List assistants
curl --request GET \
--url https://api.eu.blackmountain.io/v1/assistants \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.eu.blackmountain.io/v1/assistants"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.eu.blackmountain.io/v1/assistants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eu.blackmountain.io/v1/assistants",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.eu.blackmountain.io/v1/assistants"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.eu.blackmountain.io/v1/assistants")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eu.blackmountain.io/v1/assistants")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "asst_7Hq2kLm9",
"name": "Contract reviewer",
"description": "Reviews commercial terms and flags risks",
"instructions": "You review supplier contracts. List risks by severity and quote the clause.",
"model": "claude-sonnet-4-5",
"visibility": "private",
"canEdit": true,
"createdAt": "2026-10-20T14:03:11Z"
}
],
"nextCursor": "<string>"
}{
"error": {
"code": "unauthorized",
"message": "Invalid API key."
}
}Assistenten
Assistenten auflisten
Returns every assistant the user can use: their own, and those shared with their teams, workspaces and organization.
GET
/
assistants
List assistants
curl --request GET \
--url https://api.eu.blackmountain.io/v1/assistants \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.eu.blackmountain.io/v1/assistants"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.eu.blackmountain.io/v1/assistants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eu.blackmountain.io/v1/assistants",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.eu.blackmountain.io/v1/assistants"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.eu.blackmountain.io/v1/assistants")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eu.blackmountain.io/v1/assistants")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "asst_7Hq2kLm9",
"name": "Contract reviewer",
"description": "Reviews commercial terms and flags risks",
"instructions": "You review supplier contracts. List risks by severity and quote the clause.",
"model": "claude-sonnet-4-5",
"visibility": "private",
"canEdit": true,
"createdAt": "2026-10-20T14:03:11Z"
}
],
"nextCursor": "<string>"
}{
"error": {
"code": "unauthorized",
"message": "Invalid API key."
}
}Autorisierungen
Your 48° API key, for example bm_live_...
Abfrageparameter
Items per page (1–100)
Erforderlicher Bereich:
1 <= x <= 100nextCursor from the previous page
War diese Seite hilfreich?

